## GeditTab

GeditTab

## Functions

GeditView * | gedit_tab_get_view ()
GeditDocument * | gedit_tab_get_document ()
GeditTab * | gedit_tab_get_from_document ()
GeditTabState | gedit_tab_get_state ()
gboolean | gedit_tab_get_auto_save_enabled ()
void | gedit_tab_set_auto_save_enabled ()
gint | gedit_tab_get_auto_save_interval ()
void | gedit_tab_set_auto_save_interval ()
void | gedit_tab_set_info_bar ()

## Properties

gboolean | autosave | Read / Write
int | autosave-interval | Read / Write
gboolean | can-close | Read
char * | name | Read
GeditTabState | state | Read

## Signals

void | drop-uris | Action

## Types and Values

| GeditTab
enum | GeditTabState

## Object Hierarchy

        GEnum
        ╰── GeditTabState
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GeditTab

## Implemented Interfaces

GeditTab implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gedit_tab_get_view ()

    GeditView *
    gedit_tab_get_view (GeditTab *tab);

Gets the GeditView inside `tab` .

#### Parameters

tab | a GeditTab |

#### Returns

the GeditView inside `tab` .

[transfer none]

### gedit_tab_get_document ()

    GeditDocument *
    gedit_tab_get_document (GeditTab *tab);

Gets the GeditDocument associated to `tab` .

#### Parameters

tab | a GeditTab |

#### Returns

the GeditDocument associated to `tab` .

[transfer none]

### gedit_tab_get_from_document ()

    GeditTab *
    gedit_tab_get_from_document (GeditDocument *doc);

Gets the GeditTab associated with `doc` .

#### Parameters

doc | a GeditDocument |

#### Returns

the GeditTab associated with `doc` .

[transfer none]

### gedit_tab_get_state ()

    GeditTabState
    gedit_tab_get_state (GeditTab *tab);

Gets the GeditTabState of `tab` .

#### Parameters

tab | a GeditTab |

#### Returns

the GeditTabState of `tab`

### gedit_tab_get_auto_save_enabled ()

    gboolean
    gedit_tab_get_auto_save_enabled (GeditTab *tab);

Gets the current state for the autosave feature

#### Parameters

tab | a GeditTab |

#### Returns

`TRUE` if the autosave is enabled, else `FALSE`

### gedit_tab_set_auto_save_enabled ()

    void
    gedit_tab_set_auto_save_enabled (GeditTab *tab,
                                     gboolean enable);

Enables or disables the autosave feature. It does not install an autosave timeout if the document is new or is read-only

#### Parameters

tab | a GeditTab |
enable | enable (`TRUE`) or disable (`FALSE`) auto save |

### gedit_tab_get_auto_save_interval ()

    gint
    gedit_tab_get_auto_save_interval (GeditTab *tab);

Gets the current interval for the autosaves

#### Parameters

tab | a GeditTab |

#### Returns

the value of the autosave

### gedit_tab_set_auto_save_interval ()

    void
    gedit_tab_set_auto_save_interval (GeditTab *tab,
                                      gint interval);

Sets the interval for the autosave feature.

#### Parameters

tab | a GeditTab |
interval | the new interval |

### gedit_tab_set_info_bar ()

    void
    gedit_tab_set_info_bar (GeditTab *tab,
                            GtkWidget *info_bar);

## Types and Values

### GeditTab

    typedef struct _GeditTab GeditTab;

### enum GeditTabState

#### Members

GEDIT_TAB_STATE_NORMAL |  |
GEDIT_TAB_STATE_LOADING |  |
GEDIT_TAB_STATE_REVERTING |  |
GEDIT_TAB_STATE_SAVING |  |
GEDIT_TAB_STATE_PRINTING |  |
GEDIT_TAB_STATE_SHOWING_PRINT_PREVIEW |  |
GEDIT_TAB_STATE_LOADING_ERROR |  |
GEDIT_TAB_STATE_REVERTING_ERROR |  |
GEDIT_TAB_STATE_SAVING_ERROR |  |
GEDIT_TAB_STATE_GENERIC_ERROR |  |
GEDIT_TAB_STATE_CLOSING |  |
GEDIT_TAB_STATE_EXTERNALLY_MODIFIED_NOTIFICATION |  |
GEDIT_TAB_NUM_OF_STATES |  |

## Property Details

### The `“autosave”` property

      “autosave”                 gboolean

Autosave feature.

Owner: GeditTab

Flags: Read / Write

Default value: TRUE

### The `“autosave-interval”` property

      “autosave-interval”        int

Time between two autosaves.

Owner: GeditTab

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“can-close”` property

      “can-close”                gboolean

Whether the tab can be closed.

Owner: GeditTab

Flags: Read

Default value: TRUE

### The `“name”` property

      “name”                     char *

The tab's name.

Owner: GeditTab

Flags: Read

Default value: NULL

### The `“state”` property

      “state”                    GeditTabState

The tab's state.

Owner: GeditTab

Flags: Read

Default value: GEDIT_TAB_STATE_NORMAL

## Signal Details

### The `“drop-uris”` signal

    void
    user_function (GeditTab *gedittab,
                   GStrv     arg1,
                   gpointer  user_data)

Flags: Action